Package org.globus.ftp.vanilla

# Class TransferMonitor

java.lang.Object
org.globus.ftp.vanilla.TransferMonitor

All Implemented Interfaces:
  `Runnable`

public class TransferMonitor extends Object implements Runnable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LOCAL`
`static final int`
`REMOTE`

## Constructor Summary

Constructors
Constructor
Description
`TransferMonitor(BasicClientControlChannel controlChannel, TransferState transferState, MarkerListener mListener, int maxWait, int ioDelay, int side)`

## Method Summary

Modifier and Type
Method
Description
`void`
`abort()`
Abort the tpt transfer but do not close resources
`String`
`getLoggerName()`
In this class, each instance gets a separate logger which is assigned the name in the constructor.
`void`
`run()`
`void`
`setOther(TransferMonitor other)`
`void`
`start(boolean blocking)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOCAL

public static final int LOCAL

See Also:
  - Constant Field Values

### REMOTE

public static final int REMOTE

See Also:
  - Constant Field Values

## Constructor Details

### TransferMonitor

public TransferMonitor(BasicClientControlChannel controlChannel, TransferState transferState, MarkerListener mListener, int maxWait, int ioDelay, int side)

## Method Details

### getLoggerName

public String getLoggerName()
In this class, each instance gets a separate logger which is assigned the name in the constructor. This name is in the form "...GridFTPClient.thread host:port".

Returns:
  the logger name.

### setOther

public void setOther(TransferMonitor other)

### abort

public void abort()
Abort the tpt transfer but do not close resources

### start

public void start(boolean blocking)

### run

public void run()

Specified by:
  `run` in interface `Runnable`